Name:    urlview
Version: 0.9
%define subrel 1
Release: %mkrel 14

Summary: A URL extractor/viewer for use with Mutt
License: GPL
Group:   Networking/Mail
Url:     ftp://ftp.mutt.org/mutt/contrib/
Source0: ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.bz2
Source1: urlview-regex.o-alpha.bz2
Patch0 : urlview-comma.patch2
Patch1:  urlview-0.9-use_firefox.patch
# fix #54424: fix segfault when opening an url
Patch2:  urlview-0.9-fix_segfault.patch

BuildRequires: slang
BuildRequires: slang-devel
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: slang >= 0.99.38
Requires: webclient

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .firefox
%patch2 -b .segfault

%build
#suckattack
%ifarch alpha
mkdir regex
bzcat %{SOURCE1} > regex/regex.o
%endif
%configure --with-slang
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
install -m755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*


%changelog
* Thu Nov 12 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9-14.1mdv2009.1
- built for updates

* Fri Oct 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.9-14mdv2009.1
+ Revision: 456299
- bumping mkrrel
- firefox should come before lynx
- netscape is dead, using firefox
- sanitize spec file
- fix #54424: fix segfault when opening an url

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9-13mdv2010.0
+ Revision: 427483
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.9-12mdv2009.1
+ Revision: 351450
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-11mdv2009.0
+ Revision: 225908
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-10mdv2008.1
+ Revision: 179673
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9-9mdv2008.0
+ Revision: 37557
- Rebuild with libslang2.


* Wed Aug 09 2006 bcornec
+ 08/09/06 18:24:19 (54987)
Fix Bug 14200 (http://qa.mandriva.com/show_bug.cgi?id=14200)

* Wed Aug 09 2006 bcornec
+ 08/09/06 18:12:28 (54985)
import urlview-0.9-7mdk

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9-7mdk
- Rebuild

